Irrlicht Engine: irr::scene::IVolumeLightSceneNode Class Reference

Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# irr::scene::IVolumeLightSceneNode Class Reference

`#include <IVolumeLightSceneNode.h>`

Inheritance diagram for irr::scene::IVolumeLightSceneNode:

List of all members.

## Public Member Functions
virtual video::SColor | getFootColor () const =0
| Returns the color of the base of the light.
virtual u32 | getSubDivideU () const =0
| Returns the number of segments across the U axis.
virtual u32 | getSubDivideV () const =0
| Returns the number of segments across the V axis.
virtual video::SColor | getTailColor () const =0
| Returns the color of the tip of the light.
virtual ESCENE_NODE_TYPE | getType () const
| Returns type of the scene node.
| IVolumeLightSceneNode (ISceneNode *parent, ISceneManager *mgr, s32 id, const core::vector3df &position, const core::vector3df &rotation, const core::vector3df &scale)
| constructor
virtual void | setFootColor (const video::SColor inColour)=0
| Sets the color of the base of the light.
virtual void | setSubDivideU (const u32 inU)=0
| Sets the number of segments across the U axis.
virtual void | setSubDivideV (const u32 inV)=0
| Sets the number of segments across the V axis.
virtual void | setTailColor (const video::SColor inColour)=0
| Sets the color of the tip of the light.

## Detailed Description

Definition at line 18 of file IVolumeLightSceneNode.h.

## Constructor & Destructor Documentation

irr::scene::IVolumeLightSceneNode::IVolumeLightSceneNode | ( | ISceneNode * | parent,
|  | ISceneManager * | mgr,
|  | s32 | id,
|  | const core::vector3df & | position,
|  | const core::vector3df & | rotation,
|  | const core::vector3df & | scale |
| ) |  |  | `[inline]`

constructor

Definition at line 23 of file IVolumeLightSceneNode.h.

## Member Function Documentation

virtual video::SColor irr::scene::IVolumeLightSceneNode::getFootColor | ( |  | ) | const`[pure virtual]`

Returns the color of the base of the light.

virtual u32 irr::scene::IVolumeLightSceneNode::getSubDivideU | ( |  | ) | const`[pure virtual]`

Returns the number of segments across the U axis.

virtual u32 irr::scene::IVolumeLightSceneNode::getSubDivideV | ( |  | ) | const`[pure virtual]`

Returns the number of segments across the V axis.

virtual video::SColor irr::scene::IVolumeLightSceneNode::getTailColor | ( |  | ) | const`[pure virtual]`

Returns the color of the tip of the light.

virtual ESCENE_NODE_TYPE irr::scene::IVolumeLightSceneNode::getType | ( |  | ) | const`[inline, virtual]`

Returns type of the scene node.

Reimplemented from irr::scene::ISceneNode.

Definition at line 30 of file IVolumeLightSceneNode.h.

References irr::scene::ESNT_VOLUME_LIGHT.

virtual void irr::scene::IVolumeLightSceneNode::setFootColor | ( | const video::SColor | inColour | ) | `[pure virtual]`

Sets the color of the base of the light.

virtual void irr::scene::IVolumeLightSceneNode::setSubDivideU | ( | const u32 | inU | ) | `[pure virtual]`

Sets the number of segments across the U axis.

virtual void irr::scene::IVolumeLightSceneNode::setSubDivideV | ( | const u32 | inV | ) | `[pure virtual]`

Sets the number of segments across the V axis.

virtual void irr::scene::IVolumeLightSceneNode::setTailColor | ( | const video::SColor | inColour | ) | `[pure virtual]`

Sets the color of the tip of the light.

The documentation for this class was generated from the following file:

- IVolumeLightSceneNode.h

| The Irrlicht Engine Documentation © 2003-2010 by Nikolaus Gebhardt. Generated on Sun Oct 24 12:42:09 2010 by Doxygen (1.6.2)